net.minecraft.world.storage

## Class MapData

- java.lang.Object
- - net.minecraft.world.WorldSavedData
  - - net.minecraft.world.storage.MapData

-     public class MapData
      extends WorldSavedData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `colors` colours
    `int` | `dimension`
    `List` | `playersArrayList` Holds a reference to the MapInfo of the players who own a copy of the map
    `Map` | `playersVisibleOnMap`
    `byte` | `scale`
    `int` | `xCenter`
    `int` | `zCenter`

    - ### Fields inherited from class net.minecraft.world.WorldSavedData

      `mapName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapData(String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapInfo` | `func_82568_a(EntityPlayer par1EntityPlayer)`
    `byte[]` | `getUpdatePacketData(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` Get byte array of packet data to send to players on map for updating map data
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` reads in data from the NBTTagCompound into this MapDataBase
    `void` | `setColumnDirty(int par1, int par2, int par3)` Marks a vertical range of pixels as being modified so they will be resent to clients.
    `void` | `updateMPMapData(byte[] par1ArrayOfByte)`
    `void` | `updateVisiblePlayers(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)` Adds the player passed to the list of visible players and checks to see which players are visible
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

    - ### Methods inherited from class net.minecraft.world.WorldSavedData

      `isDirty, markDirty, setDirty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xCenter

          public int xCenter

    - #### zCenter

          public int zCenter

    - #### dimension

          public int dimension

    - #### scale

          public byte scale

    - #### colors

          public byte[] colors

      colours

    - #### playersArrayList

          public List playersArrayList

      Holds a reference to the MapInfo of the players who own a copy of the map

    - #### playersVisibleOnMap

          public Map playersVisibleOnMap

  - ### Constructor Detail

    - #### MapData

          public MapData(String par1Str)

  - ### Method Detail

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      reads in data from the NBTTagCompound into this MapDataBase
      Specified by:
        `readFromNBT` in class `WorldSavedData`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities
      Specified by:
        `writeToNBT` in class `WorldSavedData`

    - #### updateVisiblePlayers

          public void updateVisiblePlayers(EntityPlayer par1EntityPlayer,
                                  ItemStack par2ItemStack)

      Adds the player passed to the list of visible players and checks to see which players are visible

    - #### getUpdatePacketData

          public byte[] getUpdatePacketData(ItemStack par1ItemStack,
                                   World par2World,
                                   EntityPlayer par3EntityPlayer)

      Get byte array of packet data to send to players on map for updating map data

    - #### setColumnDirty

          public void setColumnDirty(int par1,
                            int par2,
                            int par3)

      Marks a vertical range of pixels as being modified so they will be resent to clients. Parameters: X, lowest Y, highest Y

    - #### updateMPMapData

          public void updateMPMapData(byte[] par1ArrayOfByte)

    - #### func_82568_a

          public MapInfo func_82568_a(EntityPlayer par1EntityPlayer)